Bug 213367 - Gibberish corrupted font / fonts in Pirut after yum upgrade from fc5 to fc6
Gibberish corrupted font / fonts in Pirut after yum upgrade from fc5 to fc6
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: fontconfig (Show other bugs)
6
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Behdad Esfahbod
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-01 00:33 EST by Bennett Feitell
Modified: 2008-05-06 12:39 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 12:39:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bennett Feitell 2006-11-01 00:33:12 EST
Description of problem:
Pirut requires dejavu-fonts to display correctly.  dejavu-fonts.noarch is not
installed automatically when pirut is installed (dejavu-fonts are not an rpm
requirement for pirut).  The result is a corrupted font display (I got wingdings
or typographical symbols) depending upon what fonts are available.

Version-Release number of selected component (if applicable):


How reproducible:
This is the result of a yum upgrade from fc5->fc6.  This probably gets taken
care of by anaconda on a disk based upgrade.

Steps to Reproduce:
1.Upgrade a stripped down console onllly FC5 install to FC6 then install pirut.
2.
3.
  
Actual results:
I ended up with gibberish fonts in Pirut until dejavu-fonts.noarch was installed.

Expected results:
Normal readable fonts in pirut.

Additional info:
I have marked this as a low severity bug.  Perhaps pirut should require the
default dejavu-fonts.noarch package.
Comment 1 Jeremy Katz 2006-11-03 13:53:07 EST
I believe this is more a side effect of the changes with the default fontconfig
then an inherent dep in pirut.
Comment 2 Bennett Feitell 2006-11-03 16:52:46 EST
I think you are probably correct.  Several consequent yum upgrades of other FC5
systems proceeded without incident.  The machine in question had a highly
stripped configuration resulting in the odd corner case behavior I witnessed. 
Thanks for following up on this so quickly.
Comment 3 Bennett Feitell 2006-11-03 16:53:49 EST
That should probably read subsequent rather than consequent, oops.
Comment 4 Behdad Esfahbod 2006-11-06 17:32:03 EST
You shouldn't get gibberish anyway, even if the default font is not installed. 
We can always find a font that has Latin glyphs.  The only possibility is that
you have seriously-broken fonts installed that advertise symbols as Latin glyphs.
Comment 5 Bug Zapper 2008-04-04 00:19:18 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 6 Bug Zapper 2008-05-06 12:38:57 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.